/* Google fonts */
@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Playwrite+CU:wght@100..400&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  transition: all 0.5s linear;
  color: #ffffff;
  text-transform: capitalize;
  scroll-behavior: smooth;
}

:root {
  --primary-font: "Lato", sans-serif;
  --second-font: "Playwrite CU", cursive;
}

body {
  background: #1a1110;
  font-family: var(--primary-font);
}

/* Header  */

header {
  position: relative;
  padding: 2rem 0;
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.3)),
    url(img/vintagebg.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  height: 100vh;
}

.logo {
  font-size: 2em;
  font-weight: 600;
  flex: 1;
  color: white;
  display: flex;
  align-items: center;
}

.logo img {
  width: 100px;
  margin-right: 1%;
  height: 100px;
}



.navbar {
  position: absolute;
  width: 100%;
  top: 0;
  padding: 1.4rem 2.5rem;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 1;
}

.navbar.scrolled {
  background: #170e0e;
  box-shadow: rgba(0, 0, 0, 0.35) 0 5px 15px;
}

.nav-items {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex: 1;
}

.item {
  display: flex;
  justify-content: center;
  cursor: pointer;
}

.nav-items li {
  list-style: none;
  padding: 1rem;
}

.nav-items li a {
  text-decoration: none;
  transition: 0.3s;
  font-size: 17px;
  font-weight: 600;
  letter-spacing: 1px;
}

.nav-items li::before {
  content: "";
  width: 0;
  height: 2px;
  background: orangered;
  display: block;
  margin: auto;
  transition: 0.5s;
}

.nav-items li:hover::before {
  width: 100%;
}

.btn {

  padding: 9px 15px;
  font-size: 18px;
  letter-spacing: 2px;
  cursor: pointer;
  background: orangered;
  border: 2px solid orangered;
  transition: all 0.5s ease-out;

}

/* @media screen and (min-width:410px) {
    .btn{
        display: block;
    }
} */

.nav-menu {
  display: none;
}

/* Main  */
.main {
  width: 80%;
  left: 50%;
  top: 55%;
  transform: translate(-50%, -50%);
  position: absolute;
  color: #fff;
}

.heading-1 {
  font-size: 2.3em;
}

.heading {
  font-size: 3.5em;
  padding: 1.5% 0;
  font-family: var(--second-font);
}

.main-btn {
  display: flex;
}

.btn1:hover {
  background: transparent;
}

.btn2 {
  background: transparent;
  margin-left: 1%;
  align-items: center;
  display: flex;
}

.btn2 i {
  font-size: 2em;
  margin-right: 6px;
  color: orangered;
}

.btn2:hover {
  background: orangered;
}

.btn2:hover i {
  color: white;
}


.section-image{
    height: 100%;
    width: 100%;
}


/* Services  */

.sec {
  padding: 5% 0 3% 0;
  width: 85%;
  margin: auto;
}

.head {
  text-align: center;
}

.heading span {
  color: orangered;
}

.head .heading {
  font-family: var(--primary-font);
}

.head .heading-1 {
  font-family: var(--second-font);
  color: aliceblue;
  font-size: 1.4em;
}

.boxes {
  margin-top: 2rem;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.5rem;
}

.box {
  text-align: center;
  padding: 5% 0;
  box-shadow: rgba(0, 0, 0, 1.35) 0 5px 15px;
  border: 2px solid transparent;
}

.box img {
  width: 50px;
}

.box p {
  max-width: 175px;
  margin-inline: auto;
  text-align: center;
  line-height: 1.75rem;
  color: #888;
}

.box h4 {
  margin: 1rem;
  font-size: 1.7rem;
  font-weight: 700;
}

.box:hover {
  border: 2px solid #fff;
  cursor: pointer;
  border-radius: 10px;
}


/* New  */

.new-sec{
    font-family: var(--second-font);
    color: aliceblue;
    font-size: clamp(2rem, 5vw, 2.5rem);
    margin-bottom: 40px;
    font-weight: 700;
    text-align: center;
  
}


.skills-section {
  background: #170e0e;
  padding: 60px 0;
  text-align: center;
  overflow: hidden;
}

.skills-section h2 {
  font-size: clamp(2rem, 5vw, 2.5rem);
  margin-bottom: 40px;
  font-weight: 700;
}

.skills-slider {
  width: 100%;
  overflow: hidden;
  position: relative;
}

.skills-track {
  display: flex;
  gap: 15px; /* 👈 This creates the gap between cards */
  width: max-content;
  animation: scroll-left 35s linear infinite;
  
}


@keyframes scroll-left {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

.skill-card {
  background: #170e0e;
  border-radius: 15px;
  /* padding: 20px 15px; */
  padding: 0px 0px;
  text-align: center;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
  transition: transform 0.3s;
  width: 200px;
  height: 220px;
  min-height: 230px;
  margin: 0; 
  flex: 0 0 auto;
}

.skill-card:hover {
  transform: scale(1.03);
  border: 2px solid #2c1b18;
  cursor: pointer;
  border-radius: 10px;
  font-size: smaller;
  /* z-index: 2; */
  
  
}

.skill-icon {
  width: 170px;
  height: 150px;
  object-fit: cover;
  margin-top: 0%;
  border-radius: 1.5rem;
}


.skill-card h4 {
  font-size: 18px;
  color: #fcf8f8;
  font-weight: 600;
  margin: 10px 0 4px;
}

.level-label {
  font-size: 20px;
  font-weight: 400;
  /* color: #bc5151; */
  margin-top: 1px;
  background-color: orangered;
  color: rgb(240, 234, 231);
  padding:2px 0px;
  border-radius: 0.85rem;
  min-height: 1.5rem;
  min-width: 6.5rem;
}



.label-view{
  font-size: 16px;
  font-weight: 600;
  color: #faf6f6;
  margin-top: 5px;

}


/* Drinks  */

.new-sec-set{
    font-family: var(--second-font);
    color: aliceblue;
    font-size: clamp(2rem, 5vw, 2.5rem);
    margin-bottom: 40px;
    font-weight: 700;
    text-align: center;
  
}


.skills-section-set {
  background: #170e0e;
  padding: 60px 0;
  text-align: center;
  overflow: hidden;
}

.skills-section-set h2 {
  font-size: clamp(2rem, 5vw, 2.5rem);
  margin-bottom: 40px;
  font-weight: 700;
}

.skills-slider-set {
  width: 100%;
  overflow: hidden;
  position: relative;
}

.skills-track-set {
  display: flex;
  gap: 15px; 
  width: max-content;
  animation: scroll-right 35s linear infinite;
  
}


@keyframes scroll-right {
  0% {
    transform: translateX(-50%);
  }
  100% {
    transform: translateX(0);
  }
}

.skill-card-set {
  background: #170e0e;
  border-radius: 15px;
  /* padding: 20px 15px; */
  padding: 0px 0px;
  text-align: center;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
  transition: transform 0.3s;
  width: 200px;
  height: 220px;
  min-height: 230px;
  margin: 0; 
  flex: 0 0 auto;
}

.skill-card-set:hover {
  transform: scale(1.03);
  border: 2px solid #2c1b18;
  cursor: pointer;
  border-radius: 10px;
  font-size: smaller;
  /* z-index: 2; */
  
  
}

.skill-icon-set {
  width: 170px;
  height: 150px;
  object-fit: cover;
  margin-top: 0%;
  border-radius: 1.5rem;
}


.skill-card-set h4 {
  font-size: 18px;
  color: #fcf8f8;
  font-weight: 600;
  margin: 10px 0 4px;
}

.level-label-set {
  font-size: 20px;
  font-weight: 400;
  /* color: #bc5151; */
  margin-top: 1px;
  background-color: orangered;
  color: rgb(240, 234, 231);
  padding:2px 0px;
  border-radius: 0.85rem;
  min-height: 1.5rem;
  min-width: 6.5rem;
}



.label-view-set {
  font-size: 16px;
  font-weight: 600;
  color: #faf6f6;
  margin-top: 5px;

}


/* About style */

.about-heading {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 0 6em;
  align-items: center;
}

.about .heading-1,
.about .heading {
  grid-column: 1;
}

.about .para {
  grid-column: 2;
  text-align: right;
  color: #777;
}

.about-box {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2em;
  margin-top: 5%;
}

.para1 {
  color: #888;
  padding-bottom: 5%;
}

.box1 {
  background: #ffeedc;
  box-shadow: rgba(0, 0, 0, 2.24) 0 3px 8px;
  border: 5px solid chocolate;
}

.box1 img {
  width: 100%;
  height: 250px;
}

.box1-text {
  padding: 4%;
}

.box1-text button:hover {
  color: black;
}

/* Box 2  */
.box2 {
  background: #ffeedc;
  box-shadow: rgba(0, 0, 0, 2.24) 0 3px 8px;
  border: 5px solid chocolate;
}

.box2 img {
  width: 100%;
  height: 270px;
}

.box2-text {
  padding: 4%;
}

.box2-text button:hover {
  color: black;
}

 /* Box 4  */

 .box4 {
  background: #ffeedc;
  box-shadow: rgba(0, 0, 0, 2.24) 0 3px 8px;
  border: 5px solid chocolate;
}

.box4 img {
  width: 100%;
  height: 230px;
}

.box4-text {
  padding: 4%;
}

.box4-text button:hover {
  color: black;
}

/* Contact style */

.contact {
  margin-top: 6%;
  width: 100%;
  background: #312c2a;
}

.contact-box {
  display: grid;
  width: 85%;
  margin: auto;
  align-items: center;
  grid-gap: 2rem;
  grid-template-columns: 1fr 1fr;
}

.left-box .heading-1 {
  color: orangered;
}

.right-box {
  text-align: center;
}

.right-box img {
  width: 100%;
}

/* Footer style */

.footer-container {
  display: grid;
  gap: 4rem 2rem;
  grid-template-columns: repeat(4, 1fr);
}

.footer-logo img {
  max-width: 100px;
}

.footer-logo span {
  display: flex;
  font-size: 1.8rem;
  font-weight: 800;
}

.footer-col .footer-text {
  max-width: 350px;
  color: #999;
  margin: 2rem 0;
}

.footer-socials {
  display: flex;
  align-items: center;
  gap: 1.5rem;
  list-style: none;
}

.footer-socials a {
  font-size: 1.8rem;
  text-decoration: none;
  padding: 3%;
}

.footer-socials a:hover {
  background: orangered;
}

.footer-col h4 {
  margin-bottom: 2rem;
  font-size: 1.9rem;
  font-weight: 600;
}

.footer-links {
  display: grid;
  gap: 1rem;
  list-style: none;
}

.footer-links a {
  text-decoration: none;
  color: #999;
}

.footer-links a:hover {
  color: orangered;
}

.copyright {
  padding: 1rem;
  font-size: 1rem;
  text-align: center;
}

/* Responsive website */

@media only screen and (max-width: 1050px) {
  .about-heading {
    gap: 0 2em;
  }

  .about-box {
    gap: 1em;
  }

  .box1-text .btn {
    padding: 9px;
    font-size: 15px;
  }

  .left-box .heading {
    font-size: 2.5em;
  }

  .about-box,
  .boxes {
    gap: 1em;
  }
}

/* 
@media screen and (min-max-width:850px) {
    .btn{
        display: block;
    }
    
} */

.menu-button{
  display: none;
  border:none;
  border-radius: 0.375rem;
  background-color: var(--background-color);
  font-size: 1rem;
  padding: 0.5rem 0.9rem;
  font-weight: 600;
}

@media screen and (max-width:768px) {
    .menu-button{
        display: block;
      }
}

.menu-icon{
    height: 1.5rem;
    width: 1.5rem;
}


@media only screen and (max-width: 850px) {
  .nav-items {
    position: absolute;
    top: -1%;
    left: 0;
    width: 100%;
    padding: 5em 0em 2em 0;
    display: flex;
    align-items: center;
    text-align: center;
    flex-direction: column;
    gap: 0.9rem;
    background: black;
    transition: 0.5s;
    z-index: -1;
    transform: translateY(-100%);
  }

  .nav-items.open {
    transform: translateY(0);
  }

  .item {
    flex-direction: column;
  }

  .nav-menu {
    display: block;
    font-size: 2em;
    cursor: pointer;
  }

  .boxes,
  .about-box {
    grid-template-columns: repeat(2, 1fr);
  }

  .contact-box {
    grid-template-columns: 1fr;
  }

  .footer-container {
    grid-template-columns: repeat(3,1fr);
  }

}

@media only screen and (max-width: 660px) {
  .about-heading {
    grid-template-columns: 1fr;
  }

  .about .para {
    grid-column: 1;
  }

  .boxes,
  .about-box {
    grid-template-columns: repeat(1,1fr);
  }

  .footer-container {
    grid-template-columns: repeat(2,1fr);
  }

  .navbar {
    padding: 2rem 2rem;
  }

  .heading {
    font-size: 3em;
  }

  .heading-1 {
    font-size: 2em;
  }
}

@media only screen and (max-width: 480px) {
  .footer-container {
    grid-template-columns: repeat(1,1fr);
  }

  /* .btn {
    padding: 9px;
    font-size: 15px;
  } */

  .main {
    width: 90%;
  }
}
